gr::gsm::receiver Class Referenceabstract

<+description of block+> More...

`#include <receiver.h>`

Inheritance diagram for gr::gsm::receiver:

## Public Types

typedef std::shared_ptr< receiver > | sptr

## Public Member Functions

virtual void | set_cell_allocation (const std::vector< int > &cell_allocation)=0
virtual void | set_tseq_nums (const std::vector< int > &tseq_nums)=0
virtual void | reset ()=0

## Static Public Member Functions

static sptr | make (int osr, const std::vector< int > &cell_allocation, const std::vector< int > &seq_nums, bool process_uplink=false)
| Return a shared_ptr to a new instance of gsm::receiver.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<receiver> gr::gsm::receiver::sptr

## Member Function Documentation

## make()

sptr gr::gsm::receiver::make | ( | int | osr,
|  | const std::vector< int > & | cell_allocation,
|  | const std::vector< int > & | seq_nums,
|  | bool | process_uplink = false )

static

Return a shared_ptr to a new instance of gsm::receiver.

To avoid accidental use of raw pointers, gsm::receiver's constructor is in a private implementation class. gsm::receiver::make is the public interface for creating new instances.

## reset()

virtual void gr::gsm::receiver::reset | ( |  | ) |

pure virtual

Implemented in gr::gsm::receiver_impl.

## set_cell_allocation()

virtual void gr::gsm::receiver::set_cell_allocation | ( | const std::vector< int > & | cell_allocation | ) |

pure virtual

Implemented in gr::gsm::receiver_impl.

## set_tseq_nums()

virtual void gr::gsm::receiver::set_tseq_nums | ( | const std::vector< int > & | tseq_nums | ) |

pure virtual

Implemented in gr::gsm::receiver_impl.

The documentation for this class was generated from the following file:

- receiver.h